Bug 28921 - No up2date-config avail w/o gnome
Summary: No up2date-config avail w/o gnome
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-22 20:47 UTC by David Botham
Modified: 2015-01-07 23:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-16 19:16:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2001:048 normal SHIPPED_LIVE New Update Agent with many fixes and enhanced functionality available 2001-04-12 04:00:00 UTC

Description David Botham 2001-02-22 20:47:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Attempts to execute up2date-config from the CLI (as root) fail.  This file 
does not exist on the system.  Attempts to locate or download it from 
RedHat's web site fail, i.e. searches for 'up2date-config' return no 
documents.  The manpage for up2date references this command as a 
standalone executable.  This web page 
(http://www.redhat.com/support/manuals/RHNetwork/ref-guide/up2date-
config.html) indicates that the command should be available as well.

Reproducible: Always
Steps to Reproduce:
1.Install RedHat 7.0
2.run 'rhn_register
3.run 'up2date-config'
	

Actual Results:  [root@ns3 /var/log]# up2date-config
bash: up2date-config: command not found
[root@ns3 /var/log]#

Expected Results:  Unknown.  I have never been able to get it to work.

Additional attempts to locate references to this executable on the systems 
yield the following:

[root@ns3 /var/log]# find / -name *up2*
/var/spool/up2date
find: /proc/6/fd: Permission denied
/etc/sysconfig/rhn/up2date
/home/updates/incoming/up2date
/home/updates/incoming/up2date/up2date-2.1.7-1.i386.rpm
/usr/sbin/up2date
/usr/share/doc/up2date-2.1.7
/usr/share/man/man2/dup2.2.gz
/usr/share/man/man8/up2date.8.gz
/usr/share/rhn/up2date
/usr/share/rhn/up2date/up2date.py
/usr/share/rhn/up2date/up2date.pyc
[root@ns3 /var/log]#

[root@ns3 /var/log]# rpm -qa | grep up2
up2date-2.1.7-1
[root@ns3 /var/log]#

I classify the bug as normal, however, without proper configuration of the 
up2date utility, severe security implications come into play.

Comment 1 Bill Nottingham 2001-02-22 23:03:49 UTC
It's part of the up2date-gnome package.

Comment 2 David Botham 2001-03-09 17:31:59 UTC
Thank you for your response.  However, the system I am working with is not a 
gnome workstation.  It is a headless server on which I will not run gnome.  
Trying to install the package mentioned here leads into a fairly long multi-
teired list of dependent packages that, I suspect, would eventually, once all 
packages are installed, leave us with a gnome workstation.  I am looking for a 
way to configure up2date on Non-gnome servers.  Non of the documentation 
mention that the system Must be a gnome workstation for up2date to function 
completely.  Am I missing something simple, or is the documentation in error? 
Or, is it not possible to configure RHN from a runlevel3 only (non-X) system?

Thank you,

David Botham

Comment 3 Preston Brown 2001-03-16 19:16:13 UTC
Our next version of up2date will include a text mode configuration utility.  
Until then, edit the file /etc/sysconfig/rhn/up2date with a text editor.


Comment 4 Preston Brown 2001-04-12 20:59:56 UTC
addressed in errata due out today.


Note You need to log in before you can comment on or make changes to this bug.